- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# win_route – Add or remove a static route

New in version 2.4.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Add or remove a static route.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
destination string / required |  | Destination IP address in CIDR format (ip address/prefix length).
gateway string |  | The gateway used by the static route. If `gateway` is not provided it will be set to `0.0.0.0`.
metric integer | Default: 1 | Metric used by the static route.
state string | Choices: absent present ← | If `absent`, it removes a network static route. If `present`, it adds a network static route.

## Notes

Note

- Works only with Windows 2012 R2 and newer.

## Examples

    ---
    - name: Add a network static route
      win_route:
        destination: 192.168.2.10/32
        gateway: 192.168.1.1
        metric: 1
        state: present

    - name: Remove a network static route
      win_route:
        destination: 192.168.2.10/32
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
output string | always | A message describing the task result. Sample: Route added

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Daniele Lazzari (@dlazz)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.